GetBatch - HealthOmics API Reference

GetBatch

Retrieves details and current status for a specific run batch, including submission progress and run execution counts.

Request Syntax

GET /runBatch/batchId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

batchId

The identifier portion of the run batch ARN.

Length Constraints: Minimum length of 1. Maximum length of 18.

Pattern: [0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "arn": "string", "creationTime": "string", "defaultRunSetting": { "cacheBehavior": "string", "cacheId": "string", "logLevel": "string", "name": "string", "outputBucketOwnerId": "string", "outputUri": "string", "parameters": JSON value, "priority": number, "retentionMode": "string", "roleArn": "string", "runGroupId": "string", "runTags": { "string" : "string" }, "storageCapacity": number, "storageType": "string", "workflowId": "string", "workflowOwnerId": "string", "workflowType": "string", "workflowVersionName": "string" }, "failedTime": "string", "failureReason": "string", "id": "string", "name": "string", "processedTime": "string", "runSummary": { "cancelledRunCount": number, "completedRunCount": number, "deletedRunCount": number, "failedRunCount": number, "pendingRunCount": number, "runningRunCount": number, "startingRunCount": number, "stoppingRunCount": number }, "status": "string", "submissionSummary": { "failedCancelSubmissionCount": number, "failedDeleteSubmissionCount": number, "failedStartSubmissionCount": number, "pendingStartSubmissionCount": number, "successfulCancelSubmissionCount": number, "successfulDeleteSubmissionCount": number, "successfulStartSubmissionCount": number }, "submittedTime": "string", "tags": { "string" : "string" }, "totalRuns": number, "uuid": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

arn

The unique ARN of the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:.+

creationTime

The timestamp when the batch was created.

Type: Timestamp

defaultRunSetting

The shared configuration applied to all runs in the batch. See DefaultRunSetting.

Type: DefaultRunSetting object

failedTime

The timestamp when the batch transitioned to a FAILED status.

Type: Timestamp

failureReason

A description of the batch failure. Present only when status is FAILED.

Type: String

id

The identifier portion of the run batch ARN.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 18.

Pattern: [0-9]+

name

The optional user-friendly name of the batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

processedTime

The timestamp when all run executions completed.

Type: Timestamp

runSummary

A summary of run execution states. Run execution counts are eventually consistent and may lag behind actual run states. Final counts are accurate once the batch reaches PROCESSED status. See RunSummary.

Type: RunSummary object

status

The current status of the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Valid Values: PENDING | SUBMITTING | INPROGRESS | STOPPING | CANCELLED | FAILED | PROCESSED | RUNS_DELETING | RUNS_DELETED

submissionSummary

A summary of run submission outcomes. See SubmissionSummary.

Type: SubmissionSummary object

submittedTime

The timestamp when all run submissions completed.

Type: Timestamp

tags

AWS tags associated with the run batch.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

totalRuns

The total number of runs in the batch.

Type: Integer

uuid

The universally unique identifier (UUID) for the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred. Try the request again.

HTTP Status Code: 500

RequestTimeoutException

The request timed out.

HTTP Status Code: 408

ResourceNotFoundException

The target resource was not found in the current Region.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: